Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.callback
Class DefaultCallbackErrorHandler

    java.lang.Object
      org.jboss.remoting.callback.DefaultCallbackErrorHandler

All Implemented Interfaces:
  CallbackErrorHandler

    public class DefaultCallbackErrorHandler

extends java.lang.Object
implements CallbackErrorHandler

Default callback error handler if one not specified. This class will listen for exceptions that occur when trying to deliver callback message to a callback listener from the server. By default, after the fifth exception, it will remove that callback listener from the server invoker handler. To set the number of exceptions it will allow before this happens, can set the 'callbackErrorsAllowed' attribute within the invoker configuration.

Author:
  Tom Elrod, Ovidiu Feodorov

Field Summary
`static java.lang.String` | `CALLBACK_ERRORS_ALLOWED` Key for setting the number of callback exceptions will be allowed when calling on org.jboss.remoting.callback.InvokerCallbackHandler.handleCallback(Callback callback) before cleaning up the callback listener.

Fields inherited from interface org.jboss.remoting.callback.CallbackErrorHandler
`HANDLER_SUBSYSTEM`

Constructor Summary
`DefaultCallbackErrorHandler()`

Method Summary
`void` | `handleError(java.lang.Throwable ex)`
`void` | `setCallbackHandler(ServerInvokerCallbackHandler callbackHandler)`
`void` | `setConfig(java.util.Map errorHandlerConfig)` Sets the configuration for the error handler.
`void` | `setServerInvoker(ServerInvoker serverInvoker)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CALLBACK_ERRORS_ALLOWED

    public static final java.lang.String CALLBACK_ERRORS_ALLOWED

  Key for setting the number of callback exceptions will be allowed when calling on org.jboss.remoting.callback.InvokerCallbackHandler.handleCallback(Callback callback) before cleaning up the callback listener. This only applies to push callback. The default if this property is not set is five.

  See Also:
    Constant Field Values

Constructor Detail

### DefaultCallbackErrorHandler

    public DefaultCallbackErrorHandler()

Method Detail

### setConfig

    public void setConfig(java.util.Map errorHandlerConfig)

  Description copied from interface: `CallbackErrorHandler`
  Sets the configuration for the error handler. This will be called per instance creation on the server side.

  Specified by:
    `setConfig` in interface `CallbackErrorHandler`

### handleError

    public void handleError(java.lang.Throwable ex)
                     throws java.lang.Throwable

  Specified by:
    `handleError` in interface `CallbackErrorHandler`
  Throws:
    `java.lang.Throwable`

### setServerInvoker

    public void setServerInvoker(ServerInvoker serverInvoker)

  Specified by:
    `setServerInvoker` in interface `CallbackErrorHandler`

### setCallbackHandler

    public void setCallbackHandler(ServerInvokerCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackErrorHandler`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.